/**
 * Wraps a {@code Counter} to obtain a {@code CallbackB},
 * to count how many data items were processed.
 *
 * @author Tom Verhoeff (Eindhoven University of Technology)
 */
class DataCounter extends Counter implements CallbackB {
    
    /**
     * Counts a data item.  The content of the item is ignored.
     * 
     * @param data  data item to count
     */
    @Override
    public void doB(String data) {
        count();
    }
    
}
